Xcode升级到9.3之后pod问题

最近新建了一个项目,然后在终端pod init的时候出现了问题,复制粘贴部分错误信息

MacBook-Pro:testDemo xywy$ pod init
[in /Users/xywy/Desktop]

――― MARKDOWN TEMPLATE ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

### Command

```
/Users/xywy/.rbenv/versions/2.5.0/bin/pod init
```

### Report

* What did you do?

* What did you expect to happen?

* What happened instead?


### Stack

```
   CocoaPods : 1.3.1
        Ruby : ruby 2.5.0p0 (2017-12-25 revision 61468) [x86_64-darwin16]
    RubyGems : 2.7.3
        Host : Mac OS X 10.13.4 (17E199)
       Xcode : 9.3 (9E145)
         Git : git version 2.15.1 (Apple Git-101)
Ruby lib dir : /Users/xywy/.rbenv/versions/2.5.0/lib
Repositories : JXSpecRep - http://git.op.xywy.com/liunian/JXSpecRep.git @ dbd2fdbc659cfa2f5be0ea9fff804bebf55139d5
               master - https://github.com/CocoaPods/Specs.git @ cdf75a2286280629271b95daef9e7c6babb3766a
               xywy-liunian-jxpodcocoatest - http://git.op.xywy.com/liunian/JXPodCocoaTest.git @ e72a22fd60f8d56b52a0e8a2b62cdc82c243b964
               xywy-xywyspecs-ios - [email protected]:XYWYSpecs/XYWYSpecs-IOS.git @ 648f4a3682f6179de1c34be26fe9e3e6717d7ec8
               xywy-xywyspecs-xywyspecs-ios - http://git.op.xywy.com/XYWYSpecs/XYWYSpecs-IOS.git @ 4bdf265a245bf6c8b0550ef4793eafba3d0cc0f8
```

### Plugins

```
cocoapods-deintegrate : 1.0.1
cocoapods-plugins     : 1.0.0
cocoapods-search      : 1.0.0
cocoapods-stats       : 1.0.0
cocoapods-trunk       : 1.3.0
cocoapods-try         : 1.1.0
```

最后查阅资料知道,是xcode升级到9.3之后导致的,解决方法是,打开新建的项目,将下面的地方切换到9.3以下

猜你喜欢

转载自www.cnblogs.com/jingxin1992/p/9024600.html

相关文章